.. currentmodule:: efl.elementary

Background
##########

.. image:: /images/background-preview.png


Widget description
==================

The background widget is used for setting a solid color, image or Edje group
as a background to a window (unless it has transparency enabled) or any
container object.

It works just like an image, but has some properties useful to a
background, like setting it to tiled, centered, scaled or stretched.


Layout content parts
====================

- ``overlay`` - overlay of the bg


Enumerations
============

.. _Elm_Bg_Option:

Background display modes
------------------------

.. data:: ELM_BG_OPTION_CENTER

    Center

.. data:: ELM_BG_OPTION_SCALE

    Scale

.. data:: ELM_BG_OPTION_STRETCH

    Stretch

.. data:: ELM_BG_OPTION_TILE

    Tile


Inheritance diagram
===================

.. inheritance-diagram:: Background
    :parts: 2


.. autoclass:: Background
